Kwalitee Issues

No Core Issues.

consistent_version

Split the distribution, or fix the version numbers to make them consistent (use the highest version number to avoid version downgrade).

Error: 0.31011,0.50,0.74

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: Module::Build, Module::Build::Base, Module::Build::Compat, Module::Build::Config, Module::Build::Cookbook, Module::Build::Dumper, Module::Build::ModuleInfo, Module::Build::Notes, Module::Build::PPMMaker, Module::Build::Platform::Amiga, Module::Build::Platform::Default, Module::Build::Platform::EBCDIC, Module::Build::Platform::MPEiX, Module::Build::Platform::MacOS, Module::Build::Platform::RiscOS, Module::Build::Platform::Unix, Module::Build::Platform::VMS, Module::Build::Platform::VOS, Module::Build::Platform::Windows, Module::Build::Platform::aix, Module::Build::Platform::cygwin, Module::Build::Platform::darwin, Module::Build::Platform::os2, Module::Build::PodParser, Module::Build::Version, Module::Build::YAML

Modules

Name Abstract Version View
Module::Build Build and install Perl modules 0.31011 metacpan
Module::Build::Base Default methods for Module::Build 0.31011 metacpan
Module::Build::Compat Compatibility with ExtUtils::MakeMaker 0.31011 metacpan
Module::Build::Config 0.31011 metacpan
Module::Build::Cookbook Examples of Module::Build Usage 0.31011 metacpan
Module::Build::Dumper 0.31011 metacpan
Module::Build::ModuleInfo 0.31011 metacpan
Module::Build::Notes 0.31011 metacpan
Module::Build::PPMMaker Perl Package Manager file creation 0.31011 metacpan
Module::Build::Platform::Amiga Builder class for Amiga platforms 0.31011 metacpan
Module::Build::Platform::Default Stub class for unknown platforms 0.31011 metacpan
Module::Build::Platform::EBCDIC Builder class for EBCDIC platforms 0.31011 metacpan
Module::Build::Platform::MPEiX Builder class for MPEiX platforms 0.31011 metacpan
Module::Build::Platform::MacOS Builder class for MacOS platforms 0.31011 metacpan
Module::Build::Platform::RiscOS Builder class for RiscOS platforms 0.31011 metacpan
Module::Build::Platform::Unix Builder class for Unix platforms 0.31011 metacpan
Module::Build::Platform::VMS Builder class for VMS platforms 0.31011 metacpan
Module::Build::Platform::VOS Builder class for VOS platforms 0.31011 metacpan
Module::Build::Platform::Windows Builder class for Windows platforms 0.31011 metacpan
Module::Build::Platform::aix Builder class for AIX platform 0.31011 metacpan
Module::Build::Platform::cygwin Builder class for Cygwin platform 0.31011 metacpan
Module::Build::Platform::darwin Builder class for Mac OS X platform 0.31011 metacpan
Module::Build::Platform::os2 Builder class for OS/2 platform 0.31011 metacpan
Module::Build::PodParser 0.31011 metacpan
Module::Build::PodTester metacpan
Module::Build::Version 0.74 metacpan
Module::Build::YAML Provides just enough YAML support so that Module::Build works even if YAML.pm is not installed 0.50 metacpan

Other Files

Build.PL metacpan
Changes metacpan
MANIFEST metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan